# Oekk Model Zoo

A collection of pre-trained, state-of-the-art models in different formats with scripts to generate them and converter tools.

## Models

#### Vision
 
- CNN (Convolutional Neural Networks)
    - Object Detection & Image Segmentation
    - MNIST models

### CNN

| Model Class | Reference | Description |
|-------------|-----------|-------------|
  | [U-Net]() | [Olaf Ronneberger et al.](https://arxiv.org/abs/1505.04597) | CNN with very good performance on very different biomedical segmentation applications.

#### Object Detection & Image Segmentation


#### MNIST models

This collection of models take 32x32x1 images (or variations) as input, then classifies the images into 10 number categories. Solvers of the MNIST dataset, frequently used as guinea pigs.

| Model Class | Reference | Description |
|-------------|-----------|-------------|
| [LeNet](https://coolneng.duckdns.org/gitea/oekk/models/src/branch/master/CNN/lenet/gen_scripts)       | [Yann LeCun et al.](http://vision.stanford.edu/cs598_spring07/papers/Lecun98.pdf) | LeNet is one of the first CNN for image recognition. |
| [SqueezeNet](https://coolneng.duckdns.org/gitea/oekk/models/src/branch/master/CNN/squeezenet/gen_scripts)| [Iandola et al.](https://arxiv.org/abs/1602.07360) | A light-weight CNN model providing AlexNet level accuracy with 50x fewer parameters. Top-5 error from paper - ~20% |


